# norootforbuild

%define jobs $(( `/usr/bin/getconf _NPROCESSORS_ONLN` + 1 ))

Name:           oinkmaster
Version:        2.0
Release:        1.15
License:	BSD   
Group:          Productivity/Networking/Security
Url:            http://oinkmaster.sourceforge.net/
Source:         %{name}-%{version}.tar.bz2
BuildArch:	noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        A script to update and manage Snort rules

%description
Oinkmaster is simple but useful Perl script released under the BSD license to help you update/manage your Snort rules and disable/enable/modify certain rules after each update (among other things). It will tell you exactly what had changed since the last update, so you'll have total control of your rules.

Oinkmaster can be used to update to the latest official rules from www.snort.org, but can just as well be used for managing your homemade rules and distribute them between sensors. It may be useful in conjunction with any program that can use Snort rules, like Snort (doh!) or Prelude-NIDS. It will run on most UNIX systems and also on Windows.


%prep
%setup -q

%build

%install
%{__install} -D -m0644 oinkmaster.conf %{buildroot}%{_sysconfdir}/oinkmaster.conf
%{__install} -D -m0755 contrib/addmsg.pl %{buildroot}%{_bindir}/addmsg.pl
%{__install} -D -m0755 contrib/addsid.pl %{buildroot}%{_bindir}/addsid.pl
%{__install} -D -m0755 contrib/create-sidmap.pl %{buildroot}%{_bindir}/create-sidmap.pl
%{__install} -D -m0755 contrib/makesidex.pl %{buildroot}%{_bindir}/makesidex.pl
%{__install} -D -m0755 oinkmaster.pl %{buildroot}%{_bindir}/oinkmaster.pl
%{__install} -D -m0644 oinkmaster.1 %{buildroot}%{_mandir}/man1/oinkmaster.1

%clean
test "%{buildroot}" != "/" && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog FAQ README README.gui README.templates template-examples.conf
%config(noreplace) %{_sysconfdir}/oinkmaster.conf
%{_bindir}/addmsg.pl
%{_bindir}/addsid.pl
%{_bindir}/create-sidmap.pl
%{_bindir}/makesidex.pl
%{_bindir}/oinkmaster.pl
%{_mandir}/man1/oinkmaster.1.gz

%changelog
* Sat Aug 02 2008 noMail@please.com
- Initial RPM
